<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField\Teilnehmer;

use Kufer\KuferTools\Utils\Hinterlegungen\HinterlegungJsHelper;

class WssFieldTeilnehmerDienststelle extends \Kufer\KuferTools\Utils\WssField\WssField
{
  protected function getFieldBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $feld = parent::getFieldBearbeitbar($datamodulWert, $isFormular, $requestPrefix);
    $hinterlegung = $this->getHinterlegung();

    return $feld . $hinterlegung;
  }

  protected function getHinterlegung()
  {
    $hlDienstellen = \HLDispatcher::GetHinterlegungClass(\HLDispatcher::HL_DIENSTSTELLE);
    $hlJson = HinterlegungJsHelper::getHinterlegungMultiCol4JS($hlDienstellen);

    $buttonId = 'hlDienststellen';
    $targetIdAry = array('teilnehmer_dienstst');

    $hinterlegung = '<span id="hlDienststellen" title="Hinterlegung Dienstellen">
                       <i class="fa fa-hand-o-down"></i>
                     </fspan>';

    $hinterlegung .= HinterlegungJsHelper::getHlDialogMultiColumnScript($hlJson, $targetIdAry, $buttonId);

    return $hinterlegung;
  }
}